aboutsummaryrefslogtreecommitdiff
path: root/mail/milter-regex/pkg-install
diff options
context:
space:
mode:
authorTrevor Johnson <trevor@FreeBSD.org>2003-10-04 16:03:17 +0000
committerTrevor Johnson <trevor@FreeBSD.org>2003-10-04 16:03:17 +0000
commit58c62615afaba65f9bf7183243ae5691c76fbdb6 (patch)
tree15aaa39c2eb33a977d32770e8d2295dd899bef3c /mail/milter-regex/pkg-install
parente6fa52ae20d2ac470cdc8a9e4fa8f5259e8d6102 (diff)
downloadports-58c62615afaba65f9bf7183243ae5691c76fbdb6.tar.gz
ports-58c62615afaba65f9bf7183243ae5691c76fbdb6.zip
Notes
Diffstat (limited to 'mail/milter-regex/pkg-install')
-rw-r--r--mail/milter-regex/pkg-install50
1 files changed, 50 insertions, 0 deletions
diff --git a/mail/milter-regex/pkg-install b/mail/milter-regex/pkg-install
new file mode 100644
index 000000000000..a5f814c7edbc
--- /dev/null
+++ b/mail/milter-regex/pkg-install
@@ -0,0 +1,50 @@
+#! /bin/sh
+# $OpenBSD$
+#
+# Pre/post-installation setup of milter-regex
+
+set -e
+PATH=/bin:/usr/bin:/sbin:/usr/sbin
+PREFIX=${PKG_PREFIX:-/usr/local}
+
+do_notice()
+{
+ echo
+ echo "+---------------"
+ echo "| milter-regex has been installed as $PREFIX/libexec/milter-regex."
+ echo "| See milter-regex(8) for instructions on how to register the plugin."
+ echo "|"
+ echo "| To start the plugin automatically on startup, one can use:"
+ echo "|"
+ echo "| /etc/rc.conf.local"
+ echo "| milter_regex=YES"
+ echo "|"
+ echo "| /etc/rc.local"
+ echo "| if [ X\"\${milter_regex}\" == X\"YES\" -a \\"
+ echo "| -x $PREFIX/libexec/milter-regex ]; then"
+ echo "| echo -n ' milter-regex'"
+ echo "| $PREFIX/libexec/milter-regex"
+ echo "| fi"
+ echo "|"
+ echo "+---------------"
+ echo
+}
+
+if [ $# -ne 2 ]; then
+ echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+ exit 1
+fi
+
+case $2 in
+ PRE-INSTALL)
+ ;;
+ POST-INSTALL)
+ do_notice
+ ;;
+ *)
+ echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
+ exit 1
+ ;;
+esac
+
+exit 0